Fix various bugs in subtitle/ccap verification.
[libdcp.git] / run / tests
index 1b71d5f0f6dccd0b437dad6215659c9b55ae26b0..eb599af4ca50e6496fad7829ca2a07ede609ae5b 100755 (executable)
--- a/run/tests
+++ b/run/tests
@@ -10,10 +10,13 @@ work=build/test
 dcpinfo=build/tools/dcpinfo
 dcpverify=build/tools/dcpverify
 
-export LD_LIBRARY_PATH=build/src:/home/c.hetherington/lib:$LD_LIBRARY_PATH
+export LD_LIBRARY_PATH=build/src:$LD_LIBRARY_PATH
+# SIP stops this being passed in from the caller's environment
+export DYLD_LIBRARY_PATH=/Users/ci/osx-environment/x86_64/lib
+export LIBDCP_SHARE_PREFIX=.
 
 # Make sure we have the required tools
-for c in xmlsec1 xmldiff xmllint; do
+for c in xmlsec1 xmllint; do
   hash $c 2>/dev/null || { echo >&2 "$c required but not found; aborting"; exit 1; }
 done
 
@@ -44,13 +47,6 @@ fi
 
 echo "--- Other tests"
 
-# Check a MXF written by the unit tests
-diff $work/baz/video1.mxf $work/baz/video2.mxf
-if [ "$?" != "0" ]; then
-    echo "FAIL: MXFs from recovery incorrect"
-    exit 1
-fi
-
 # Check the DCP written by dcp_test1
 diff -ur test/ref/DCP/dcp_test1 $work/DCP/dcp_test1
 if [ "$?" != "0" ]; then
@@ -110,7 +106,7 @@ done
 # Run dcpverify on all the DCPs in private/metadata
 for d in `find $private/metadata -mindepth 1 -maxdepth 1 -type d | sort -f -d`; do
     if [ `basename $d` != ".git" ]; then
-        $dcpverify --ignore-missing-assets -q $d
+        $dcpverify --ignore-missing-assets --ignore-bv21-smpte -q $d
         if [ "$?" != "0" ]; then
             echo "FAIL: dcpverify failed for $d"
             exit 1